Skip to content

Get Card Balance ​

GET /openapi/v2/cards/balance
ItemValue
HTTP methodGET
Request path/openapi/v2/cards/balance
Request typequery

Request parameters:

FieldTypeRequiredDescription
cardIdstringYesCard ID.

Response data ​

FieldTypeDescription
cardIdstringCard ID.
fpCardAccountIdstringFuturePay platform card account ID.
balances[]arrayList of account balances.
balances[].accountIdstringAccount ID.
balances[].assets[]arrayList of asset balances.
balances[].assets[].assetstringAsset code; values are not restricted to a fixed set.
balances[].assets[].availablestringAvailable balance.
balances[].assets[].balancestringLedger balance.
notestringResponse note.
currencystringAsset code for single-asset balance compatibility; values are not restricted to a fixed set.
availablestringAvailable balance for single-asset compatibility, as a decimal string without scientific notation.
ledgerstringLedger balance for single-asset compatibility, as a decimal string without scientific notation.

All balance amounts are non-scientific decimal strings, not JSON numbers; trailing zeros are not guaranteed.

Use Get Card Account Limits for account limits; do not add or substitute limits and fund balances. Use Get User Card Overview for all held cards and shared balance associations.